﻿using Infragistics.Windows.Editors;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors.Events;

namespace CellValueBinding
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }
    }

    public class CustomValueEditor : ValueEditor
    {
        public CustomValueEditor()
        {
        }

        public override bool CanEditType(Type type)
        {
            return true;
        }

        public override bool CanRenderType(Type type)
        {
            return true;
        }

        protected override void OnEditModeStarting(EditModeStartingEventArgs args)
        {
            base.OnEditModeStarting(args);
        }
    }

    public class ViewModel
    {

        public ViewModel()
        {
            datas = new ObservableCollection<Data>();

            datas.Add(new Data() { A = new ObjectA() { Text = "1th", IsChecked = true } });
            datas.Add(new Data() { A = new ObjectA() { Text = "2", IsChecked = false } });
        }

        private ObservableCollection<Data> datas;

        public ObservableCollection<Data> Datas
        {
            get { return datas; }
            set { datas = value; }
        }
    }

    public class Data
    {
        private ObjectA a;

        public ObjectA A
        {
            get { return a; }
            set { a = value; }
        }
    }

    public class ObjectA
    {
        private string text;

        public string Text
        {
            get { return text; }
            set { text = value; }
        }

        private bool isChecked;

        public bool IsChecked
        {
            get { return isChecked; }
            set { isChecked = value; }
        }
    }
}
